﻿using DataV.Service;
using DataV.Service.Dto;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DataV.App
{
    [ApiDescriptionSettings("DataV", Tag = "大屏服务", SplitCamelCase = false), Route("/screen"), NonUnify]
    public class DataVApplication : IDynamicApiController
    {
        private IDataVService DataV;
        public DataVApplication(IDataVService DataV)
        {
            this.DataV = DataV;
        }
        /// <summary>
        /// 统计订单
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        public Result<object> GetAllOrderDataState(DataVDto input) => DataV.GetAllOrderDataState(input.AutoKey);

        /// <summary>
        /// 订单日活
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        public Result<object> OrderLine(DataVDto input) => DataV.OrderLine(input.AutoKey);
        /// <summary>
        /// 顶数量
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        public Result<object> OrderNumber(DataVDto input) => DataV.OrderNumber(input.AutoKey);
        /// <summary>
        /// 获取加盟商设备列表
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public Result<Dictionary<string, List<int>>> OnlineDevice() => DataV.OnlineDevice();
        /// <summary>
        /// 区域饼状图统计
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public Result<object> GetLocSale() => DataV.GetLocSale();
    }
}
