﻿using DataV.Enums;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DataV.Model
{
    [SugarTable("BPA_Order")]
    public class BPA_Order : BasicEntity
    {
        /// <summary>
        /// 排序号
        /// </summary>
        public string SortId { get; set; }
        /// <summary>
        ///  用户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 支付状态<see cref="PayEnum"/>
        /// </summary>
        public PayEnum OrderStatus { get; set; }
        /// <summary>
        /// 售后状态<see cref="AfterEnum"/>
        /// </summary>
        public AfterEnum AfterStatus { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        public int OrderCount { get; set; }
        /// <summary>
        /// 商品总价
        /// </summary>
        public decimal OrderOriginalMoney { get; set; }
        /// <summary>
        /// 折扣价格
        /// </summary>
        public decimal DiscountMoney { get; set; }
        /// <summary>
        /// 实际支付价格
        /// </summary>
        public decimal OrderRealMoney { get; set; }
        /// <summary>
        /// 支付方式<see cref="PayModelEnum"/>
        /// </summary>
        public PayModelEnum PayMode { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderNumber { get; set; }
        /// <summary>
        /// 订单号（第三方）
        /// </summary>
        public string TradeNo { get; set; }
        /// <summary>
        /// 流水号
        /// </summary>
        public string TransactionId { get; set; }
        /// <summary>
        /// 订单类型 <see cref="OrderTypeEnum"/>
        /// </summary>
        public OrderTypeEnum OrderType { get; set; }
        /// <summary>
        /// OpenId
        /// </summary>
        public string TroikaId { get; set; }
        /// <summary>
        /// 订单
        /// </summary>
        public int OrderSourceFrom { get; set; }
        public string Remark { get; set; }
    }
}
