﻿using DataV.Enums;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DataV.Model
{
    [SugarTable("BPA_SubOrder")]
    public class BPA_SubOrder : BasicEntity
    {
        public string OrderId { get; set; }
        public string GoodId { get; set; }
        public string StoreId { get; set; }
        /// <summary>
        /// 原价
        /// </summary>
        public decimal GooodOriginPrice { get; set; }
        /// <summary>
        /// 实际金额
        /// </summary>
        public decimal GoodsRealPrice { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 订单状态<see cref="CookEnum"/>
        /// </summary>
        public CookEnum CookingStatus { get; set; }
        /// <summary>
        ///  废弃状态 0 正常 1 废弃
        /// </summary>
        public int IsVaild { get; set; }
        /// <summary>
        /// 废弃时间
        /// </summary>
        public DateTime? VaildTime { get; set; }
        public DateTime? StartCookingTime { get; set; }
        public DateTime? EndCookingTime { get; set; }
        public DateTime? CompleteTakeTime { get; set; }
        /// <summary>
        /// 订单序号
        /// </summary>
        public string SortNumber { get; set; }
    }
}
